Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 167975 - Multiple HyperLinks: navigating to function overrides or class descendants
Multiple HyperLinks: navigating to function overrides or class descendants
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
6.x
All All
: P3 (vote)
: 6.x
Assigned To: nnnnnk
issues@cnd
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 15:59 UTC by Vladimir Kvashin
Modified: 2010-02-03 16:14 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2009-07-01 15:59:17 UTC
Now, to navigate to a function that overrides the given function 
(or to navigate to a class that extends the given class)
user has to 
- invoke find usages, check "override" or "descendant" checkbox respectively
- navigate from find usages panel to the code

But it can be done just via dynamic context menu; 
this would be *much* more convenient for user.
Comment 1 Quality Engineering 2010-01-27 22:22:43 UTC
Integrated into 'main-golden', will be available in build *201001280200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b8c432bd49c4
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: An embrionic implementation for #167975  Multiple HyperLinks
Comment 2 Vladimir Kvashin 2010-02-03 16:14:45 UTC
Fixed by a number of changesets; the last one is
http://hg.netbeans.org/cnd-main/rev/f340da4ef356


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo